Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.extract.cdar2
Class AdministrativeGender

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.xds.metadata.extract.cdar2.AdministrativeGender

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class AdministrativeGender

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Administrative Gender', and utility methods for working with them. This class was taken from an old EMF generated code base for CDA R2 when the voc.xsd contained the CDA vocabulary markup to a much greater extent. vocSet: D1 (C-0-D1-cpt)

See Also:
  `org.hl7.v3.V3Package#getAdministrativeGender()`

Field Summary
`static int` | `F` The 'F' literal value.
`static AdministrativeGender` | `F_LITERAL` The 'F' literal object.
`static int` | `M` The 'M' literal value.
`static AdministrativeGender` | `M_LITERAL` The 'M' literal object.
`static int` | `UN` The 'UN' literal value.
`static AdministrativeGender` | `UN_LITERAL` The 'UN' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Administrative Gender' enumerators.

Method Summary
`static AdministrativeGender` | `get(int value)` Returns the 'Administrative Gender' literal with the specified value.
`static AdministrativeGender` | `get(java.lang.String name)` Returns the 'Administrative Gender' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### F

    public static final int F

  The 'F' literal value.

  If the meaning of 'F' literal object isn't clear, there really should be more of a description here...

  See Also:
    `F_LITERAL`, Constant Field Values

### M

    public static final int M

  The 'M' literal value.

  If the meaning of 'M' literal object isn't clear, there really should be more of a description here...

  See Also:
    `M_LITERAL`, Constant Field Values

### UN

    public static final int UN

  The 'UN' literal value.

  If the meaning of 'UN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `UN_LITERAL`, Constant Field Values

### F_LITERAL

    public static final AdministrativeGender F_LITERAL

  The 'F' literal object.

  See Also:
    `F`

### M_LITERAL

    public static final AdministrativeGender M_LITERAL

  The 'M' literal object.

  See Also:
    `M`

### UN_LITERAL

    public static final AdministrativeGender UN_LITERAL

  The 'UN' literal object.

  See Also:
    `UN`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Administrative Gender' enumerators.

Method Detail

### get

    public static AdministrativeGender get(java.lang.String name)

  Returns the 'Administrative Gender' literal with the specified name.

### get

    public static AdministrativeGender get(int value)

  Returns the 'Administrative Gender' literal with the specified value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD